Bug 1677481 - Review Request: R-askpass - Safe Password Entry for R, Git, and SSH
Summary: Review Request: R-askpass - Safe Password Entry for R, Git, and SSH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-15 03:35 UTC by Elliott Sales de Andrade
Modified: 2019-02-25 02:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-25 01:33:50 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-02-15 03:35:12 UTC
Spec URL: https://qulogic.fedorapeople.org//R-askpass.spec
SRPM URL: https://qulogic.fedorapeople.org//R-askpass-1.1-1.fc29.src.rpm

Description:
Cross-platform utilities for prompting the user for credentials or a
passphrase, for example to authenticate with a server or read a protected key.
Includes native programs for MacOS and Windows, hence no 'tcltk' is required.
Password entry can be invoked in two different ways: directly from R via the
askpass() function, or indirectly as password-entry back-end for 'ssh-agent' or
'git-credential' via the SSH_ASKPASS and GIT_ASKPASS environment variables.
Thereby the user can be prompted for credentials or a passphrase if needed when
R calls out to git or ssh.

Comment 1 Elliott Sales de Andrade 2019-02-15 03:35:14 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=32826089

Comment 2 José Matos 2019-02-15 17:19:29 UTC
The license is correct and appropriate.

The spec file is simple and very readable.

fedora-review has no significant complaint and so the package is approved. :-)

Comment 3 Gwyn Ciesla 2019-02-15 20:50:27 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-askpass

Comment 4 Fedora Update System 2019-02-16 07:52:48 UTC
R-askpass-1.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1081254806

Comment 5 Fedora Update System 2019-02-16 07:53:26 UTC
R-askpass-1.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-789c9cc8d7

Comment 6 Fedora Update System 2019-02-17 01:56:14 UTC
R-askpass-1.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1081254806

Comment 7 Fedora Update System 2019-02-17 03:11:14 UTC
R-askpass-1.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-789c9cc8d7

Comment 8 Fedora Update System 2019-02-25 01:33:50 UTC
R-askpass-1.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-02-25 02:41:19 UTC
R-askpass-1.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.